export default {
  search: {
    list: "repo/monir/search/@index_key/@search_type/@type_key/@listkey/@field_collapsed/@offset/@limit/@q=none",
    show: "repo/public/get/byid/@index_key/@id/tbookmark",
    synonym: "synonym/get/words",
    prevNextHadith: "monir/next/@index_key/@vol_id/@parag_order/@step",
    getDataTree: "@appname/book/tree/@offset/@limit/@vol_id/@q"
  },
  favorite: {
    add: "favorite/add/{{data_type}}/{{ref_key}}",
    delete: "favorite/delete/{{data_type}}/{{id}}", //id = portal_meet_22569
    deleteByRefid: "favorite/delete/{{data_type}}/{{index_key}}/{{ref_id}}", //id = portal_meet_22569
    // getListSearch: "favorite/list/{{data_type}}/{{offset}}/{{limit}}", //offset=0 , limit=10
    // counts: "favorite/counts/@data_type", //  get

    setFavoritesCat: "favorite/tags/@data_type/set/doc/@id",
    getCategories: "favorite/tags/@data_type/get",
    setCategories: "favorite/tags/@data_type/set",
    getCounts: "favorite/tags/@data_type/counts",

    getList: "favorite/list/@data_type/@time_key/@source/@offset/@limit/@q",
  },
  library: {
    list: "monir/book/volume/@field_collapsed/@offset/@limit/@q",
    show: "@appname/book/page/@page_start/@page_len/@vol_id",
    prevNextHadith: "monir/nextpage/@index_key/@vol_id/@page_num/@step",
    getVolumeInfo: "public/get/byids/dhvolume",
    get: "public/get/byid/dhvolume/@vol_id",
  },
};
